--- reqresp_parser.bak	2011-01-26 15:43:27.000000000 -0500
+++ reqresp_parser.h	2011-09-18 07:45:15.000000000 -0400
@@ -29,11 +29,11 @@
  * - Multiple scheme's can be specified ',' delimited. ex: "sip:,sips:"
  * - If a component is not requested, do not split around it. This means
  *   that if we don't have domain, we cannot split name:pass.
- * - It is safe to call with ret_name, pass, domain, port pointing all to
+ * - It is safe to call with ret_name, pass, domain pointing all to
  *   the same place.
  * - If no secret parameter is provided, ret_name will return with both parts, user:secret
- * - If no port parameter is provided, domain will return with both parts, domain:port
- * - This function overwrites the the uri string.
+ * - If the URI contains a port number, domain will return with both parts, domain:port
+ * - This function overwrites the the URI string.
  * 
  * \retval 0 on success
  * \retval -1 on error.
